**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/initiate-object-action-on-a-single-record.md

# Initiate Object Action on a Single Record



Use this request to initiate an action on a specific object record.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/actions/{action_name}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `object_name` | The object `name__v` field value. |
| `object_record_id` | The object record `id` field value from which to retrieve user actions. |
| `action_name` | The name of the `Objectaction` or `Objectlifecyclestateuseraction` to initiate. You can retrieve this from the [Retrieve User Actions](/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/retrieve-object-record-user-actions) request. The format for `action_name` is `Objectaction.vobject.action` or `Objectlifecyclestateuseraction.vobject.state.action`. |
</FieldTable>

## Body Parameters {#body-parameters}

Include any parameters required to initiate the action as name-value pairs in the request body. You can retrieve the required parameters for your action by [Retrieving Object User Action Details](/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/retrieve-object-user-action-details).

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'due_date__c=2020-03-01T08:00:00.000Z' \
-d 'product__v.generic_name__c=nitroprinaline oxalate' \
-d 'product__v.internal_name__c=Nyaxa' \
-d 'product__v.compound_id__c=CC-127' \
-d 'approvers__c=user:10001399' \
https://myvault.veevavault.com/api/v20.1/vobjects/product__v/00P000000000301/actions/Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

---

**Previous:** [Retrieve Object User Action Details](/qualityone/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/retrieve-object-user-action-details)  
**Next:** [Initiate Object Action on Multiple Records](/qualityone/vault-api/api-reference/20.1/object-lifecycle-workflows/object-record-user-actions/initiate-object-action-on-multiple-records)